#include <time.h>
#include "defines.h"

void CurBlink(int x,int y,int wx,int wy,int (*hit)())
/* ソフトウエアカーソルブリンク */
{
short frev=1;
time_t t,ts;
	x*=8; y*=16;
	
	/* 最初はカーソルを描画する */
	t=clock(); /* 開始時間 */
	goto CUR;
	
	while (!hit()) { /* キー入力の無い間 */
		t=clock();
		if (t>ts+50) { /* 0.5秒経った */
			frev^=1;
		    CUR:;
			txrev(0,x,y,wx,wy);
			txrev(1,x,y,wx,wy);
			ts=t;
		}
	}
	/* 最後はカーソルを消して終了 */
	if (frev) {
		txrev(0,x,y,wx,wy);
		txrev(1,x,y,wx,wy);
	}
}
